Subject: journals impact

From: Vanharen Cathy <[email-masked]>
Date: Wed, 03 Jul 1996 16:13:33 +0200

Hello,

Does someone know about an address on the net containing a list of 
journals and their impact in Mycology or in agronomy or in agriculture.

Thanks a lot in advance and Best regards from our windy country today.